#!/bin/sh
pip install --upgrade pip
pip install --upgrade pylint
cat requirements.txt | xargs pip install --upgrade -v
./compte-agglo-montpellier syncdb --all --noinput
./compte-agglo-montpellier migrate --fake
./compte-agglo-montpellier validate
(pylint -f parseable --rcfile /var/lib/jenkins/pylint.django.rc compte_agglo_montpellier/ | tee pylint.out) || /bin/true
